in scala.collection.immutable
class INode

`case private class` INode [A, B]
  `extends` scala.collection.immutable.InsertTree[A, B]
  `with` scala.ScalaObject
  `with` scala.Product3[scala.collection.immutable.GBTree[A, B], scala.Int, scala.Int]

  `INode` is an internal class used by `Tree`.

Constructor Summary
| `def` this (t1: scala.collection.immutable.GBTree[A, B], height: scala.Int, size: scala.Int)(view$3: scala.Function1[A, scala.Ordered[A]])

Val Summary
| `val` height : scala.Int
| `val` size : scala.Int
| `val` t1 : scala.collection.immutable.GBTree[A, B]

Def Summary
`final` `override` | `def` $tag : scala.Int
`final` `override` | `def` _1 : scala.collection.immutable.GBTree[A, B]
`final` `override` | `def` _2 : scala.Int
`final` `override` | `def` _3 : scala.Int
`protected` | `def` balance_p (t: scala.collection.immutable.GBTree[A, B], subtree: scala.collection.immutable.GBTree[A, B]) : scala.collection.immutable.InsertTree[A, B]
`override` | `def` equals (x$1: scala.Any) : scala.Boolean
`override` | `def` hashCode : scala.Int
| `def` insertLeft (key: A, value: B, bigger: scala.collection.immutable.GBTree[A, B]) : scala.collection.immutable.InsertTree[A, B]
| `def` insertRight (key: A, value: B, smaller: scala.collection.immutable.GBTree[A, B]) : scala.collection.immutable.InsertTree[A, B]
| `def` node : scala.collection.immutable.GBTree[A, B]
`final` `override` | `def` productPrefix : java.lang.String
`override` | `def` toString : java.lang.String

Constructor Detail

`def` this (t1: scala.collection.immutable.GBTree[A, B], height: scala.Int, size: scala.Int)(view$3: scala.Function1[A, scala.Ordered[A]])

Val Detail

`val` height : scala.Int

`val` size : scala.Int

`val` t1 : scala.collection.immutable.GBTree[A, B]

Def Detail

`final override def` $tag : scala.Int

`final override def` _1 : scala.collection.immutable.GBTree[A, B]

`final override def` _2 : scala.Int

`final override def` _3 : scala.Int

`protected def` balance_p (t: scala.collection.immutable.GBTree[A, B], subtree: scala.collection.immutable.GBTree[A, B]): scala.collection.immutable.InsertTree[A, B]

`override def` equals (x$1: scala.Any): scala.Boolean

`override def` hashCode : scala.Int

`def` insertLeft (key: A, value: B, bigger: scala.collection.immutable.GBTree[A, B]): scala.collection.immutable.InsertTree[A, B]

`def` insertRight (key: A, value: B, smaller: scala.collection.immutable.GBTree[A, B]): scala.collection.immutable.InsertTree[A, B]

`def` node : scala.collection.immutable.GBTree[A, B]

`final override def` productPrefix : java.lang.String

`override def` toString : java.lang.String